Bug 999069 - Ship GRUB2 boot images files as package binary for PPC
Ship GRUB2 boot images files as package binary for PPC
Status: NEW
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
23
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Paulo Flabiano Smorigo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PPCTracker
  Show dependency treegraph
 
Reported: 2013-08-20 12:38 EDT by Gustavo Luiz Duarte
Modified: 2016-11-24 06:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 100098 None None None 2016-02-25 10:06 EST

  None (edit)
Description Gustavo Luiz Duarte 2013-08-20 12:38:35 EDT
During the discussion for moving to GRUB2 as the bootloader on the ISO for PPC, Matthew Garrett proposed that we should be shipping a pre-built GRUB2 boot image instead of requiring the user to run grub2-mkimage.

This might facilitate bootloader updates and might help us to concentrate grub2 image creation (and selection of the modules to be built-in) in the grub2 packaging, instead of spreading it to Anaconda and other packages.

I'm filing this bug to start the discussion of the pros and cons of such change and how it should be done.
Comment 1 Fedora End Of Life 2013-09-16 12:37:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Gustavo Luiz Duarte 2013-11-19 11:25:31 EST
We should also consider shipping binaries (and directory structure) for network boot. Currently, the user needs to run grub2-mknetdir to be able to host grub2 for network boot (through TFTP). Considering the TFTP server hosting grub2 may not be a Fedora (or even Linux) server, it would be much easier for the user if we provide the grub2 core.elf and its modules in a binary format so that the administrator can just unpack the binaries onto the TFTP server file system.

I believe the same logic described above applies to grub.conf (or some kind of template) for network booting Fedora on PPC.
Comment 3 Fedora End Of Life 2015-05-29 05:20:18 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jan Kurik 2015-07-15 10:45:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 5 Fedora End Of Life 2016-11-24 06:01:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.